Subdreamer CMS 3.x.x remote SQL injection

2010.06.17
Risk: Medium
Local: No
Remote: Yes
CVE: N/A
CWE: CWE-89

[MajorSecurity SA-073]Subdreamer CMS - SQL injection vulnerability Details ============= Product: Subdreamer CMS Security-Risk: high Remote-Exploit: yes Vendor-URL: http://www.subdreamer.com/ Advisory-Status: published Credits ============= Discovered by: David Vieira-Kurz http://www.majorsecurity.net/penetrationstest.php Original Advisory ============= http://www.majorsecurity.net/subdreamer_cms_sql_injection.php Affected Products: ============= Subdreamer CMS 3.x.x Prior versions may also be vulnerable ============= "Subdreamer CMS is a web based content management system." More Details ============= We at MajorSecurity have discovered some vulnerabilities in Subdreamer CMS, which can be exploited to conduct sql injection attacks. Input passed directly to the "categoryids[]" POST parameter in "/admin/pages.php?action=update_pages" is not properly sanitised before being used in a SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code. Solution ============= Web applications should never trust on user generated input and therefore sanatize all input. Edit the source code to ensure that input is properly sanitised. MajorSecurity ================ MajorSecurity is a German penetrationtesting and security research company which focuses on web application security. We offer professional penetrationstest, security audits, source code reviews and pci dss compliance tests.


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2023, cxsecurity.com

 

Back to Top